Subject: Re: [PATCH] compat_ioctl: fix make headers_check regression

From: Johannes Stezenbach <[email-masked]>
Date: Thu, 7 Jul 2011 00:51:40 +0200

Hi,

On Mon, Jul 04, 2011 at 12:03:16PM +0200, Johannes Stezenbach wrote:
> Fix headers_check error introduced by 390192b30057:
> 
> include/linux/fd.h:6: included file 'linux/compat.h' is not exported
> 
> Signed-off-by: Johannes Stezenbach <[email-masked]>
> ---
> I used the same style as in linux/usbdevice_fs.h, hope
> that's OK.

I just got an "added to -mm tree" mail for the original patch, so I
wonder what's with this fix?

Johannes

>  include/linux/fd.h |    6 +++++-
>  1 files changed, 5 insertions(+), 1 deletions(-)
> 
> diff --git a/include/linux/fd.h b/include/linux/fd.h
> index c6a68d0..72202b1 100644
> --- a/include/linux/fd.h
> +++ b/include/linux/fd.h
> @@ -3,7 +3,6 @@
>  
>  #include <linux/ioctl.h>
>  #include <linux/compiler.h>
> -#include <linux/compat.h>
>  
>  /* New file layout: Now the ioctl definitions immediately follow the
>   * definitions of the structures that they use */
> @@ -378,7 +377,11 @@ struct floppy_raw_cmd {
>  #define FDEJECT _IO(2, 0x5a)
>  /* eject the disk */
>  
> +
> +#ifdef __KERNEL__
>  #ifdef CONFIG_COMPAT
> +#include <linux/compat.h>
> +
>  struct compat_floppy_struct {
>  	compat_uint_t	size;
>  	compat_uint_t	sect;
> @@ -394,5 +397,6 @@ struct compat_floppy_struct {
>  
>  #define FDGETPRM32 _IOR(2, 0x04, struct compat_floppy_struct)
>  #endif
> +#endif
>  
>  #endif